Inhalte
Index 🔎︎

# Funktion Chr

Gibt das zum angegebenen Zeichencode gehörige Zeichen zurück.

### Syntax:

          Chr[$](Zeichencode As Integer) As String

### Rückgabewert:

String

### Parameter:

Zeichencode: ein numerischer Ausdruck, der einen gültigen 8-Bit-ASCII-Wert (0-255) oder einen 16-Bit-Unicode-Wert darstellt. (Um Ausdrücke mit einem nominell negativen Argument wie Chr(&H8000) rückwärtskompatibel zu unterstützen, werden Werte im Bereich von −32768 bis −1 intern auf den Bereich von 32768 bis 65535 abgebildet.)

Wenn der VBA-Kompatibilitätsmodus aktiviert ist (Option VBASupport 1), ist charcode ein numerischer Ausdruck, der nur einen gültigen 8-Bit-ASCII-Wert (0-255) darstellt.

Verwenden Sie die Funktion Chr$, um spezielle Steuersequenzen an einen Drucker oder ein anderes Ausgabegerät zu senden. Ebenso können Sie mit dieser Funktion Anführungszeichen in einen Zeichenfolgenausdruck einfügen.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

6 Überlauf

Ein Überlauffehler tritt auf, wenn der VBA-Kompatibilitätsmodus aktiviert ist und der Ausdruckswert größer als 255 ist.

### Beispiel:

            Sub ExampleChr
                ' Dieses Beispiel fügt Anführungszeichen (ASCII-Wert 34) in eine Zeichenfolge ein.
                MsgBox "Eine " + Chr$(34) + "kurze" + Chr(34) + " Reise."
                ' Bei der Ausgabe erscheint im Dialog: Eine "kleine" Reise.
                MsgBox Chr(Zeichencode := 64) ' @-Zeichen
            End Sub

Verwandte Themen

BASIC-Funktion Asc

VBA-Funktion AscW

VBA-Funktion ChrW